Skip to main content
POST
/
v1
/
customFields
/
setValues
Set custom field values
curl --request POST \
  --url https://api.metronome.com/v1/customFields/setValues \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entity": "customer",
  "entity_id": "99594816-e8a5-4bca-be21-8d1de0f45120",
  "custom_fields": {
    "x_account_id": "KyVnHhSBWl7eY2bl"
  }
}
'
import requests

url = "https://api.metronome.com/v1/customFields/setValues"

payload = {
"entity": "customer",
"entity_id": "99594816-e8a5-4bca-be21-8d1de0f45120",
"custom_fields": { "x_account_id": "KyVnHhSBWl7eY2bl" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entity: 'customer',
entity_id: '99594816-e8a5-4bca-be21-8d1de0f45120',
custom_fields: {x_account_id: 'KyVnHhSBWl7eY2bl'}
})
};

fetch('https://api.metronome.com/v1/customFields/setValues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

The custom field values to set

entity
enum<string>
required
Available options:
alert,
billable_metric,
charge,
commit,
contract_credit,
contract_product,
contract,
customer,
discount,
invoice,
product,
rate_card,
scheduled_charge,
subscription,
package_commit,
package_credit,
package_subscription,
package_scheduled_charge
entity_id
string<uuid>
required
custom_fields
object
required

Custom fields to be added eg. { "key1": "value1", "key2": "value2" }

Response

200

Success